﻿.lat-chat-wrapper {
  font-family: "Poppins", sans-serif;
  position: fixed;
  top: 50%;
  transform: translateY(-50%);
  right: 10%;
  border-radius: 8px;
  color: #121117;
  z-index: 4;
  box-shadow: 0 24px 60px rgba(0, 0, 0, .22);
  background: var(--bg);
  padding-inline: 24px;
  height: 671px;
  max-height: 79vh;
  width: 494px;
  overflow: hidden;
}

.lat-chat-header-user {
  gap: 8px;
}

.lat-chat-header-name {
  font-size: 18px;
  font-weight: 500;
  color: var(--text);
  text-decoration: underline;

}

.lat-chat-header-avatar-wrap img {
  border-radius: 50%;
}

.lat-inbox-panel  {
  height: 100%;
}

.lat-chat-header-actions {
  gap: 0px;
  display: flex;
}

.lat-chat-panel {}

.w-shadow {
  margin-left: -24px;
  width: calc(100% + 48px);
  box-shadow: 0px -3px 22.1px 0px #12111726;
}

.lat-chat-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 64px;
  border-bottom: 1px solid #DCDCE5;
  padding-inline: 24px;

}

.lat-chat-send-btn {
  min-width: 40px;
}

.lat-chat-bubble.lat-chat-bubble--mine {
  display: flex;
  justify-content: space-between;
  gap: 10px;
}

.lat-chat-send-btn,
.lat-chat-action-btn,
.lat-chat-icon-btn,
.lat-chat-back-btn {
  background: none;
  border: none;
}

.lat-chat-schedule-bar span {
  font-size: 14px;
  font-weight: 600;
  text-decoration: underline;
}

.lat-chat-schedule-bar {
  height: 56px;
  gap: 12px;
}

.lat-chat-date-divider {
  padding-block: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.lat-chat-date-divider span {
  display: inline-block;
  color: #6A697C;
  background: var(--bg-hover);
  border-radius: 4px;
  padding-inline: 16px;
  padding-block: 8px;
  font-size: 12px;
}

.lat-chat-footer {
  position: absolute;
  bottom: 10px;
  width: calc(100% - 48px);
}

.lat-chat-action-btn.emoji {
  position: absolute;
  bottom: 9px;
  right: 68px;
}

.lat-chat-action-btn.attach-file {
  position: absolute;
  bottom: 9px;
  right: 108px;
}


.lat-chat-state.lat-chat-empty-state p {
  margin-bottom: 0;
}

.lat-chat-state.lat-chat-empty-state svg {
  height: 40px;
  width: 40px;
}

.lat-chat-state.lat-chat-empty-state {
  display: flex;
  gap: 10px;
  align-items: center;
  margin-top: 8px;
}

.lat-chat-text-input {
  padding-right: 6rem;
}

.lat-inbox-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 28px;
  margin-bottom: 32px;
  padding-top: 45px;
  height: 40px;

}

.lat-inbox-title {
  font-size: 24px;
  color: var(--text);
  font-weight: 600;
}

.lat-inbox-tab {
  padding-inline: 10px;
  min-width: 80px;
  background: none;
  border: none;
  font-size: 16px;
  color: var(--dark-text);
  font-weight: 500;
  height: 45px;
}

.lat-inbox-tab--active {
  border-bottom: 4px solid #FF2500;
}

.lat-box {
  padding-bottom: 8px;
  box-shadow: 0px -3px 22.1px 0px #12111726;
  margin-top: -28px;
  margin-left: -24px;
  width: calc(100% + 48px);
  padding-inline: 24px;
  border-radius: 8px;
  
}

.lat-inbox-item-avatar {
  height: 48px;
  width: 48px;
  border-radius: 50%;
}

.lat-inbox-item-name {
  font-size: 16px;
  font-weight: 600;
  color: var(--text);
}

.lat-inbox-item-date {
  color: #6A697C;
  font-size: 12px;
  font-weight: 300;
}

.lat-inbox-item-preview {
  font-size: 14px;
  font-weight: 300;
  color: #4D4C5C;
}

.lat-inbox-item:hover {
  background: var(--bg-hover);
}

.lat-inbox-item {
  display: flex;
  gap: 12px; 
  padding-block: 16px;
  cursor: pointer;
  border-radius: 8px;
}

.lat-inbox-item-header {
  display: flex;
  justify-content: space-between;
}

.lat-inbox-item-content {
  width: 100%;
}

.lat-inbox-list {
  /* max-height: 537px; */
  overflow: auto; 
  height: calc(100% - 132px);
  scrollbar-width: none;
}

.lat-chat-messages-container {
  overflow: auto;
  scrollbar-width: none;
  height: calc(100% - 233px);  
}

.lat-chat-respond-info {
  color: #4D4C5C;
}

.lat-chat-bubble-time {
  color: #6A697C;
    font-size: 12px;
    font-weight: 300;
}